<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /var/www/html/ci3/application/controllers</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../.css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../.css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="../.css/style.css" rel="stylesheet" type="text/css">
  <!--[if lt IE 9]>
  <script src="../.js/html5shiv.min.js"></script>
  <script src="../.js/respond.min.js"></script>
  <![endif]-->
 </head>
 <body>
  <header>
   <div class="container">
    <div class="row">
     <div class="col-md-12">
      <ol class="breadcrumb">
        <li><a href="../index.html">/var/www/html/ci3/application</a></li>
        <li><a href="index.html">controllers</a></li>
        <li class="active">(Dashboard)</li>

      </ol>
     </div>
    </div>
   </div>
  </header>
  <div class="container">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Categories.php.html#5">Categories</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="LogViewerController.php.html#3">LogViewerController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#5">Products</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#5">Users</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Welcome.php.html#4">Welcome</a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Products.php.html#5">Products</a></td><td class="text-right">420</td></tr>
       <tr><td><a href="Users.php.html#5">Users</a></td><td class="text-right">306</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Categories.php.html#11"><abbr title="Categories::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#180"><abbr title="Products::check_categories">check_categories</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#213"><abbr title="Users::roles_get">roles_get</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#196"><abbr title="Users::userdelete_delete">userdelete_delete</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#154"><abbr title="Users::update_put">update_put</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#124"><abbr title="Users::user_get">user_get</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#73"><abbr title="Users::create_post">create_post</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#28"><abbr title="Users::login_post">login_post</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#18"><abbr title="Users::index_get">index_get</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Users.php.html#11"><abbr title="Users::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#210"><abbr title="Products::check_permissions">check_permissions</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#157"><abbr title="Products::productdelete_delete">productdelete_delete</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Categories.php.html#17"><abbr title="Categories::index_get">index_get</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#111"><abbr title="Products::update_put">update_put</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#83"><abbr title="Products::prodect_get">prodect_get</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#34"><abbr title="Products::create_post">create_post</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#19"><abbr title="Products::index_get">index_get</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Products.php.html#11"><abbr title="Products::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="LogViewerController.php.html#17"><abbr title="LogViewerController::test">test</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="LogViewerController.php.html#12"><abbr title="LogViewerController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="LogViewerController.php.html#7"><abbr title="LogViewerController::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Categories.php.html#27"><abbr title="Categories::categoryproduct_get">categoryproduct_get</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Welcome.php.html#21"><abbr title="Welcome::index">index</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="Products.php.html#180"><abbr title="Products::check_categories">check_categories</abbr></a></td><td class="text-right">30</td></tr>
       <tr><td><a href="Users.php.html#28"><abbr title="Users::login_post">login_post</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="Products.php.html#34"><abbr title="Products::create_post">create_post</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Products.php.html#111"><abbr title="Products::update_put">update_put</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Products.php.html#210"><abbr title="Products::check_permissions">check_permissions</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Users.php.html#73"><abbr title="Users::create_post">create_post</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Users.php.html#154"><abbr title="Users::update_put">update_put</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="Products.php.html#83"><abbr title="Products::prodect_get">prodect_get</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Products.php.html#157"><abbr title="Products::productdelete_delete">productdelete_delete</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Users.php.html#124"><abbr title="Users::user_get">user_get</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Users.php.html#196"><abbr title="Users::userdelete_delete">userdelete_delete</abbr></a></td><td class="text-right">6</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 5.3.0</a> using <a href="https://secure.php.net/" target="_top">PHP 7.2.34-8+ubuntu18.04.1+deb.sury.org+1</a> with <a href="https://xdebug.org/">Xdebug 3.0.1</a> and <a href="https://phpunit.de/">PHPUnit 6.5.5</a> at Fri Jan 15 12:48:23 UTC 2021.</small>
    </p>
   </footer>
  </div>
  <script src="../.js/jquery.min.js" type="text/javascript"></script>
  <script src="../.js/bootstrap.min.js" type="text/javascript"></script>
  <script src="../.js/holder.min.js" type="text/javascript"></script>
  <script src="../.js/d3.min.js" type="text/javascript"></script>
  <script src="../.js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([5,0,0,0,0,0,0,0,0,0,0,0], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([23,0,0,0,0,0,0,0,0,0,0,0], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,3,"<a href=\"Categories.php.html#5\">Categories<\/a>"],[0,3,"<a href=\"LogViewerController.php.html#3\">LogViewerController<\/a>"],[0,20,"<a href=\"Products.php.html#5\">Products<\/a>"],[0,17,"<a href=\"Users.php.html#5\">Users<\/a>"],[0,1,"<a href=\"Welcome.php.html#4\">Welcome<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"Categories.php.html#11\">Categories::__construct<\/a>"],[0,1,"<a href=\"Categories.php.html#17\">Categories::index_get<\/a>"],[0,1,"<a href=\"Categories.php.html#27\">Categories::categoryproduct_get<\/a>"],[0,1,"<a href=\"LogViewerController.php.html#7\">LogViewerController::__construct<\/a>"],[0,1,"<a href=\"LogViewerController.php.html#12\">LogViewerController::index<\/a>"],[0,1,"<a href=\"LogViewerController.php.html#17\">LogViewerController::test<\/a>"],[0,1,"<a href=\"Products.php.html#11\">Products::__construct<\/a>"],[0,1,"<a href=\"Products.php.html#19\">Products::index_get<\/a>"],[0,3,"<a href=\"Products.php.html#34\">Products::create_post<\/a>"],[0,2,"<a href=\"Products.php.html#83\">Products::prodect_get<\/a>"],[0,3,"<a href=\"Products.php.html#111\">Products::update_put<\/a>"],[0,2,"<a href=\"Products.php.html#157\">Products::productdelete_delete<\/a>"],[0,5,"<a href=\"Products.php.html#180\">Products::check_categories<\/a>"],[0,3,"<a href=\"Products.php.html#210\">Products::check_permissions<\/a>"],[0,1,"<a href=\"Users.php.html#11\">Users::__construct<\/a>"],[0,1,"<a href=\"Users.php.html#18\">Users::index_get<\/a>"],[0,4,"<a href=\"Users.php.html#28\">Users::login_post<\/a>"],[0,3,"<a href=\"Users.php.html#73\">Users::create_post<\/a>"],[0,2,"<a href=\"Users.php.html#124\">Users::user_get<\/a>"],[0,3,"<a href=\"Users.php.html#154\">Users::update_put<\/a>"],[0,2,"<a href=\"Users.php.html#196\">Users::userdelete_delete<\/a>"],[0,1,"<a href=\"Users.php.html#213\">Users::roles_get<\/a>"],[0,1,"<a href=\"Welcome.php.html#21\">Welcome::index<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
